// PreTestDlg.cpp : implementation file
//

#include "stdafx.h"
#include "VidzRadioProdTest.h"
#include "PreTestDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPreTestDlg dialog


CPreTestDlg::CPreTestDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CPreTestDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CPreTestDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CPreTestDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPreTestDlg)
	DDX_Control(pDX, IDC_TIME_LEFT, m_pbTimeLeft);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CPreTestDlg, CDialog)
	//{{AFX_MSG_MAP(CPreTestDlg)
	ON_WM_TIMER()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPreTestDlg message handlers

BOOL CPreTestDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	m_iCount = 0;
	m_dwDlgDuration		= 1500;			// Time dialog is to appear in ms
	m_dwPBUDDuration	= 500;			// Time dialog is to be updated in ms
	m_pbTimeLeft.SetRange(0, 100);
	m_pbTimeLeft.SetPos(0);
	SetTimer(TM_COUNTDOWN, m_dwDlgDuration, NULL);
	SetTimer(TM_UPDATEPB, m_dwPBUDDuration, NULL);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CPreTestDlg::OnTimer(UINT nIDEvent) 
{
	switch(nIDEvent)
	{
	case TM_COUNTDOWN:
		KillTimer(TM_UPDATEPB);
		KillTimer(TM_COUNTDOWN);
		OnOK();
		break;
	case TM_UPDATEPB:
		m_iCount++;
		m_pbTimeLeft.SetPos(((m_iCount*m_dwPBUDDuration)*100)/m_dwDlgDuration);
		break;
	}
		
	CDialog::OnTimer(nIDEvent);
}