#if !defined(AFX_SETTINGSDLG_H__FFFD3860_BA63_4F73_AE50_052F2ABF1691__INCLUDED_)
#define AFX_SETTINGSDLG_H__FFFD3860_BA63_4F73_AE50_052F2ABF1691__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SettingsDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSettingsDlg dialog

class CSettingsDlg : public CDialog
{
// Construction
public:
	CSettingsDlg(CWnd* pParent = NULL);		// standard constructor
	void DisplayErrMsg(CString csErrMsg);	// Function to display err msg
	void UpdateSettingsDlg();				// Preset default frequencies and choices for
											// the settings dialog box

	// Variables to store settings information
	UINT	m_uiPresetFreq;
	UINT	m_uiSenStaFreq1;
	UINT	m_uiSenStaFreq2;
	UINT	m_uiSenStaFreq3;
	UINT	m_uiSrFrequency;
	UINT	m_uiSrDirection;
	UINT	m_uiRemoteChoice;
	UINT	m_uiCurFirmVer;
	BOOL	m_bAutoTest;
	BOOL	m_bEnableSound;
	BOOL	m_bEnableRC;

// Dialog Data
	//{{AFX_DATA(CSettingsDlg)
	enum { IDD = IDD_SETTINGS_DLG };
	CButton	m_cbnEnableRC;
	CButton	m_cbnEnableSound;
	CButton	m_cbnAutoTest;
	CComboBox	m_cbRemoteChoice;
	CComboBox	m_cbSrDirection;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSettingsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CSettingsDlg)
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SETTINGSDLG_H__FFFD3860_BA63_4F73_AE50_052F2ABF1691__INCLUDED_)
